Почему возникает ошибка при установке PgAdmin4?

Здравствуйте. Установил PostgreSQL на Ubuntu 20.04.2 LTS. Но при попытке установить графическую утилиту PgAdmin4 выходит ошибка: Для пакета «pgadmin4» не найден кандидат на установку. Что это значит?
  • Вопрос задан
  • 130 просмотров
Решения вопроса 1
samodurOFF
@samodurOFF Автор вопроса
Проблему решил сам. Нужно было добавить строку "deb https://ftp.postgresql.org/pub/pgadmin/pgadmin4/apt/$(lsb_release -cs) pgadmin4 main" в файл pgdg.list в /etc/apt/sources.list.d
Ответ написан
Пригласить эксперта
Ответы на вопрос 2
dyuriev
@dyuriev
A posteriori
репозиторий то кто подключать будет?
в своих репозиториях ubuntu этого пакета нет

sudo apt-get -y install apt-transport-https lsb-release ca-certificates curl
sudo curl https://www.pgadmin.org/static/packages_pgadmin_org.pub | sudo apt-key add
sudo sh -c 'echo "deb https://ftp.postgresql.org/pub/pgadmin/pgadmin4/apt/$(lsb_release -cs) pgadmin4 main" > /etc/apt/sources.list.d/pgadmin4.list'
sudo apt-get update


и только после этого сможете установить

[пруф, мануал по ссылке дополнил, предполагая другие потенциальные ошибки]
Ответ написан
@awsswa
Означает что вы не подключили репозитарий с этим пакетом
Ответ написан
Ваш ответ на вопрос

Войдите, чтобы написать ответ

Войти через центр авторизации
Похожие вопросы